# ListingGenerator

class `praw.models.``ListingGenerator`(reddit, url, limit=100, params=None)

  Instances of this class generate `RedditBase` instances.

  Warning

  This class should not be directly utilized. Instead you will find a number of methods that return instances of the class:

  http://praw.readthedocs.io/en/latest/search.html?q=ListingGenerator

  `__init__`(reddit, url, limit=100, params=None)

    Initialize a ListingGenerator instance.

    Parameters:

    - reddit – An instance of `Reddit`.
    - url – A URL returning a reddit listing.
    - limit – The number of content entries to fetch. If `limit` is None, then fetch as many entries as possible. Most of reddit’s listings contain a maximum of 1000 items, and are returned 100 at a time. This class will automatically issue all necessary requests (default: 100).
    - params – A dictionary containing additional query string parameters to send with the request.

  `__iter__`()

    Permit ListingGenerator to operate as an iterator.

  `next`()

    Permit ListingGenerator to operate as a generator in py2.

  classmethod `parse`(data, reddit)

    Return an instance of `cls` from `data`.

    Parameters:

    - data – The structured data.
    - reddit – An instance of `Reddit`.